<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@page import="br.dsc.upe.poli.dao.UsuarioDAO"%>
<%@page import="br.dsc.upe.poli.mvc.LoginAluno"%>
<%@page import="br.dsc.upe.poli.basicas.Login"%><html>

<head>
<title>Sistema de Login :: JSP</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style>
body, td, a:link, a:visited {
font-family: Verdana;
font-size: 10px;
color: #000000;
text-decoration: none;
}
a:hover{
color: #FF0000;
}
input {
font-family: Verdana, Arial, Helvetica, sans-serif;
font-size: 10px;
background-color: #FFFFFF;
border: 1px solid #000000;
}
</style>
</head> <body>
<%
String login_form = request.getParameter("login"); // Pega o Login vindo do formulário
String senha_form = request.getParameter("senha"); //Pega a senha vinda do formulário
UsuarioDAO usuarioDAO = new UsuarioDAO();
Login login =  new Login(login_form,senha_form);
if(usuarioDAO.validacao(login)){ //Caso login e senha estejam corretos...
Login logado = usuarioDAO.buscar(login_form);	
session.setAttribute("loginUsuario", login_form); //Grava a session com o Login
session.setAttribute("senhaUsuario", senha_form); //Grava a session com a Senha
if(logado.getTipo_usuario()=="ALUNO" || logado.getTipo_usuario().equals("ALUNO") ){
	out.println("<script>document.location.href='logado2.jsp';</script>"); //Exibe um código javascript para redireionar ao painel
	
}else if(logado.getTipo_usuario()=="PROFESSOR" || logado.getTipo_usuario().equals("PROFESSOR")){
	out.println("<script>document.location.href='professorLogado.jsp';</script>"); //Exibe um código javascript para redireionar ao painel
	
}
} else { //Se estiverem incorretos...
out.println("<script>document.location.href='index.jsp'; </script>"); //Exibe na tela e pede para voltar
}
%>
</body>
</html>